当您的应用已经接入了ARMS应用监控,并且想要使用ARMS业务监控时,您可以选择升级探针。

限制条件

  • 您需要接入业务监控的应用是Java应用,并且已接入应用监控,详情请参见准备工作概述
  • 只有2.6.2+ 版本的应用探针支持ARMS业务监控功能。

操作流程

dg_business_workflow
说明 目前业务监控处于公测阶段,因此在您准备接入业务监控前,需要先加入钉钉答疑群:30004969,并告知工作人员您的阿里云账号ID和应用名称。工作人员在后台为您配置白名单后,您可以开始安装或升级探针的操作。扫描以下二维码图片加入钉钉答疑群。
dg__business_dingding

升级探针

您需要将应用探针升级到2.6.2+ 版本才能使用ARMS业务监控功能。升级探针前,需要先卸载探针后再重新安装探针。

具体步骤如下:

  1. 卸载探针,详情请参见卸载探针
  2. 重新安装探针,详情请参见为Docker中的应用安装探针,并根据所在地域按照以下地址替换探针的下载地址。
    # 杭州地域wget "http://arms-apm-hangzhou.oss-cn-hangzhou.aliyuncs.com/grey/ArmsAgent.zip" -O ArmsAgent.zip
    # 上海地域wget "http://arms-apm-shanghai.oss-cn-shanghai.aliyuncs.com/grey/ArmsAgent.zip" -O ArmsAgent.zip
    # 青岛地域wget "http://arms-apm-qingdao.oss-cn-qingdao.aliyuncs.com/grey/ArmsAgent.zip" -O ArmsAgent.zip
    # 北京地域wget "http://arms-apm-beijing.oss-cn-beijing.aliyuncs.com/grey/ArmsAgent.zip" -O ArmsAgent.zip
    # 张家口地域wget "http://arms-apm-zhangjiakou.oss-cn-zhangjiakou.aliyuncs.com/grey/ArmsAgent.zip" -O ArmsAgent.zip
    # 深圳地域wget "http://arms-apm-shenzhen.oss-cn-shenzhen.aliyuncs.com/grey/ArmsAgent.zip" -O ArmsAgent.zip